Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1563781 - Docs are missing template_service_broker_selector
Summary: Docs are missing template_service_broker_selector
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Vikram Goyal
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-04 16:47 UTC by Jared Hocutt
Modified: 2018-04-30 18:55 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-30 18:54:13 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jared Hocutt 2018-04-04 16:47:29 UTC
Document URL:

https://docs.openshift.com/container-platform/3.9/install_config/install/advanced_install.html


Section Number and Name: N/A


Describe the issue: 

The OpenShift documentation has no mention of the template_service_broker_selector option.

An assumption is made that a node is going to have the label region=infra. This can be overridden by setting template_service_broker_selector={'role': 'foo'}, but this is not documented.

During a default installation of OpenShift 3.7 and 3.9, if a node does not have a label region=infra, this will cause the install to fail.


Suggestions for improvement:

Document the template_service_broker_selector option to prevent users ending up with a failed install of OpenShift.


Additional information:

Comment 1 Michael Burke 2018-04-26 14:41:36 UTC
@jared This issue seems to have been brought up via https://github.com/openshift/openshift-docs/pull/7507/files. 

Can you take a look at Eric's change to see if it meets your understanding of the option.

Comment 2 Jared Hocutt 2018-04-26 14:44:07 UTC
(In reply to Michael Burke from comment #1)
> @jared This issue seems to have been brought up via
> https://github.com/openshift/openshift-docs/pull/7507/files. 
> 
> Can you take a look at Eric's change to see if it meets your understanding
> of the option.

Yep, that looks good to me. Thanks!

Comment 3 Michael Burke 2018-04-30 18:54:13 UTC
Closing as duplicate. Change was implemented vix https://github.com/openshift/openshift-docs/pull/7507

Comment 4 Michael Burke 2018-04-30 18:54:48 UTC
bugathon


Note You need to log in before you can comment on or make changes to this bug.